### Hierarchy

- ReelValue

### Implements

- IRenderable
- IStackeable

## Index

### Constructors

- constructor

### Properties

- reelValue
- spec

### Methods

- appendChar
- appendDigit
- appendImage
- render

## Constructors

### constructor

- new ReelValue(message: ISpecification): ReelValue

- - Defined in lib/renderable/reelValue/index.ts:18

  #### Parameters

  - ##### message: ISpecification

  #### Returns ReelValue

## Properties

### Private reelValue

reelValue: HTMLDivElement

- Defined in lib/renderable/reelValue/index.ts:18

### Private spec

spec: ISpecification

- Defined in lib/renderable/reelValue/index.ts:17

## Methods

### Private appendChar

- appendChar(): void

- - Defined in lib/renderable/reelValue/index.ts:73

  #### Returns void

### Private appendDigit

- appendDigit(): void

- - Defined in lib/renderable/reelValue/index.ts:68

  #### Returns void

### Private appendImage

- appendImage(): void

- - Defined in lib/renderable/reelValue/index.ts:61

  #### Returns void

### render

- render(renderer: IRenderer, isNested: boolean): HTMLElement

- Implementation of IStackeable.render

  - Defined in lib/renderable/reelValue/index.ts:28

  #### Parameters

  - ##### renderer: IRenderer

  - ##### isNested: boolean

  #### Returns HTMLElement

  the element which was rendered

Generated using TypeDoc